﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfCalendar.XForms;
using System.Windows.Input;

namespace CalendarAppointment
{
	public partial class MainPage : ContentPage
	{
        private string commandText;

        public string CommandText
        {
            get { return commandText; }
            set { commandText = value; }
        }
        public ICommand CalendarCellTapped { get; set; }

        public MainPage()
		{
            InitializeComponent();

            CalendarCellTapped = new Command<CalendarTappedEventArgs>(CellTapped);
        }

        private void CellTapped(CalendarTappedEventArgs obj)
        {
            CommandText = obj.DateTime.ToString("dd/MM/yyyy") + " " + obj.SelectedAppointment.ToString();
        }
    }
}
